This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1000439 - [abrt] ____strtol_l_internal: Process /usr/bin/cpupower was killed by signal 11 (SIGSEGV)
[abrt] ____strtol_l_internal: Process /usr/bin/cpupower was killed by signal ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:350923d6f49fdb857953dcf31d4...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-23 08:54 EDT by Cristian Ciupitu
Modified: 2013-11-12 21:16 EST (History)
7 users (show)

See Also:
Fixed In Version: kernel-3.11.7-100.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 03:05:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cristian Ciupitu 2013-08-23 08:54:10 EDT
Description of problem:
I run cpupower set --perf-bias 15 as suggested by the PM Guide [1].
The CPU is an Intel i3770.

[1]: https://docs.fedoraproject.org/en-US/Fedora/19/html/Power_Management_Guide/cpu_power_saving.html

Additional info:
reporter:       libreport-2.1.6
[New LWP 10034]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `cpupower set --perf-bias 15'.
Program terminated with signal 11, Segmentation fault.
#0  __GI_____strtol_l_internal (nptr=0x0, endptr=endptr@entry=0x0, base=base@entry=10, group=group@entry=0, loc=0x30d4bbb080 <_nl_global_locale>) at ../stdlib/strtol_l.c:298
298	../stdlib/strtol_l.c: No such file or directory.

Thread 1 (Thread 0x7ff50eb39740 (LWP 10034)):
#0  __GI_____strtol_l_internal (nptr=0x0, endptr=endptr@entry=0x0, base=base@entry=10, group=group@entry=0, loc=0x30d4bbb080 <_nl_global_locale>) at ../stdlib/strtol_l.c:298
        negative = <optimized out>
        cutoff = <optimized out>
        cutlim = <optimized out>
        i = <optimized out>
        s = 0x0
        c = <optimized out>
        save = <optimized out>
        end = <optimized out>
        overflow = <optimized out>
        cnt = <optimized out>
        current = 0xf14400
        thousands = 0x0
        thousands_len = 0
        grouping = 0x0
#1  0x00000030d483a532 in __GI_strtol (nptr=<optimized out>, endptr=endptr@entry=0x0, base=base@entry=10) at ../stdlib/strtol.c:109
No locals.
#2  0x0000000000408822 in atoi (__nptr=<optimized out>) at /usr/include/stdlib.h:280
No locals.
#3  cmd_set (argc=3, argv=0x7fff411a0970) at utils/cpupower-set.c:61
        cpu = <optimized out>
        params = <optimized out>
        sched_mc = 0
        sched_smt = 0
        perf_bias = 0
        ret = 98
#4  0x0000000000406b52 in main (argc=3, argv=0x7fff411a0970) at utils/cpupower.c:207
        p = 0x60eae8 <commands+72>
        cmd = 0x7fff411a16a0 "set"
        i = <optimized out>
        ret = <optimized out>
From                To                  Syms Read   Shared Object Library
0x00007ff50eb3f870  0x00007ff50eb40a44  Yes         /lib64/libcpupower.so.0
0x00000030d60022c0  0x00000030d60050bc  Yes         /lib64/librt.so.1
0x00000030d64024b0  0x00000030d6408794  Yes         /lib64/libpci.so.3
0x00000030d481f410  0x00000030d49626a0  Yes         /lib64/libc.so.6
0x00000030d5005790  0x00000030d50103c4  Yes         /lib64/libpthread.so.0
0x00000030d4400ae0  0x00000030d441ac3a  Yes         /lib64/ld-linux-x86-64.so.2
0x00000030d7003a40  0x00000030d701271c  Yes         /lib64/libresolv.so.2
$1 = 0x0
No symbol "__glib_assert_msg" in current context.
rax            0xf14400	15811584
rbx            0x62	98
rcx            0x0	0
rdx            0xa	10
rsi            0x0	0
rdi            0x0	0
rbp            0x0	0x0
rsp            0x7fff411a0790	0x7fff411a0790
r8             0x30d4bbb080	209727500416
r9             0x0	0
r10            0x7fff411a05b0	140734285612464
r11            0x30d483a520	209723827488
r12            0x7fff411a0970	140734285613424
r13            0x0	0
r14            0x0	0
r15            0x0	0
rip            0x30d483a5a7	0x30d483a5a7 <__GI_____strtol_l_internal+55>
eflags         0x10283	[ CF SF IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
Dump of assembler code for function __GI_____strtol_l_internal:
   0x00000030d483a570 <+0>:	push   %r15
   0x00000030d483a572 <+2>:	push   %r14
   0x00000030d483a574 <+4>:	push   %r13
   0x00000030d483a576 <+6>:	mov    %rdi,%r13
   0x00000030d483a579 <+9>:	push   %r12
   0x00000030d483a57b <+11>:	push   %rbp
   0x00000030d483a57c <+12>:	push   %rbx
   0x00000030d483a57d <+13>:	sub    $0x28,%rsp
   0x00000030d483a581 <+17>:	test   %ecx,%ecx
   0x00000030d483a583 <+19>:	mov    0x8(%r8),%rax
   0x00000030d483a587 <+23>:	mov    %rsi,(%rsp)
   0x00000030d483a58b <+27>:	jne    0x30d483a97a <__GI_____strtol_l_internal+1034>
   0x00000030d483a591 <+33>:	xor    %ecx,%ecx
   0x00000030d483a593 <+35>:	xor    %ebp,%ebp
   0x00000030d483a595 <+37>:	cmp    $0x1,%edx
   0x00000030d483a598 <+40>:	je     0x30d483a760 <__GI_____strtol_l_internal+496>
   0x00000030d483a59e <+46>:	cmp    $0x24,%edx
   0x00000030d483a5a1 <+49>:	ja     0x30d483a760 <__GI_____strtol_l_internal+496>
=> 0x00000030d483a5a7 <+55>:	movzbl 0x0(%r13),%r14d
   0x00000030d483a5ac <+60>:	mov    0x68(%r8),%r15
   0x00000030d483a5b0 <+64>:	mov    %r13,%r12
   0x00000030d483a5b3 <+67>:	movsbq %r14b,%rax
   0x00000030d483a5b7 <+71>:	testb  $0x20,0x1(%r15,%rax,2)
   0x00000030d483a5bd <+77>:	je     0x30d483a5d5 <__GI_____strtol_l_internal+101>
   0x00000030d483a5bf <+79>:	nop
   0x00000030d483a5c0 <+80>:	add    $0x1,%r12
   0x00000030d483a5c4 <+84>:	movzbl (%r12),%r14d
   0x00000030d483a5c9 <+89>:	movsbq %r14b,%rax
   0x00000030d483a5cd <+93>:	testb  $0x20,0x1(%r15,%rax,2)
   0x00000030d483a5d3 <+99>:	jne    0x30d483a5c0 <__GI_____strtol_l_internal+80>
   0x00000030d483a5d5 <+101>:	test   %r14b,%r14b
   0x00000030d483a5d8 <+104>:	je     0x30d483a885 <__GI_____strtol_l_internal+789>
   0x00000030d483a5de <+110>:	cmp    $0x2d,%r14b
   0x00000030d483a5e2 <+114>:	je     0x30d483a86e <__GI_____strtol_l_internal+766>
   0x00000030d483a5e8 <+120>:	cmp    $0x2b,%r14b
   0x00000030d483a5ec <+124>:	movl   $0x0,0x14(%rsp)
   0x00000030d483a5f4 <+132>:	je     0x30d483a797 <__GI_____strtol_l_internal+551>
   0x00000030d483a5fa <+138>:	cmp    $0x30,%r14b
   0x00000030d483a5fe <+142>:	je     0x30d483a83b <__GI_____strtol_l_internal+715>
   0x00000030d483a604 <+148>:	test   %edx,%edx
   0x00000030d483a606 <+150>:	je     0x30d483a77f <__GI_____strtol_l_internal+527>
   0x00000030d483a60c <+156>:	cmp    $0xa,%edx
   0x00000030d483a60f <+159>:	nop
   0x00000030d483a610 <+160>:	je     0x30d483a77f <__GI_____strtol_l_internal+527>
   0x00000030d483a616 <+166>:	lea    -0x2(%rdx),%ecx
   0x00000030d483a619 <+169>:	xor    %ebx,%ebx
   0x00000030d483a61b <+171>:	xor    %eax,%eax
   0x00000030d483a61d <+173>:	lea    0x136c5c(%rip),%rsi        # 0x30d4971280 <__strtol_ul_max_tab>
   0x00000030d483a624 <+180>:	movslq %ecx,%rcx
   0x00000030d483a627 <+183>:	test   %r14b,%r14b
   0x00000030d483a62a <+186>:	mov    (%rsi,%rcx,8),%rdi
   0x00000030d483a62e <+190>:	lea    0x136c0b(%rip),%rsi        # 0x30d4971240 <__strtol_ul_rem_tab>
   0x00000030d483a635 <+197>:	movzbl (%rsi,%rcx,1),%ecx
   0x00000030d483a639 <+201>:	movzbl %r14b,%esi
   0x00000030d483a63d <+205>:	mov    %cl,0x8(%rsp)
   0x00000030d483a641 <+209>:	je     0x30d483a888 <__GI_____strtol_l_internal+792>
   0x00000030d483a647 <+215>:	cmp    %r12,%rax
   0x00000030d483a64a <+218>:	je     0x30d483a888 <__GI_____strtol_l_internal+792>
   0x00000030d483a650 <+224>:	lea    -0x1(%rbx),%r9
   0x00000030d483a654 <+228>:	xor    %r11d,%r11d
   0x00000030d483a657 <+231>:	xor    %r10d,%r10d
   0x00000030d483a65a <+234>:	mov    %r12,%rcx
   0x00000030d483a65d <+237>:	movslq %edx,%r15
   0x00000030d483a660 <+240>:	mov    %r9,0x18(%rsp)
   0x00000030d483a665 <+245>:	lea    -0x30(%rsi),%r9d
   0x00000030d483a669 <+249>:	cmp    $0x9,%r9b
   0x00000030d483a66d <+253>:	jbe    0x30d483a6d6 <__GI_____strtol_l_internal+358>
   0x00000030d483a66f <+255>:	nop
   0x00000030d483a670 <+256>:	test   %rbx,%rbx
   0x00000030d483a673 <+259>:	je     0x30d483a7d9 <__GI_____strtol_l_internal+617>
   0x00000030d483a679 <+265>:	cmp    %r14b,0x0(%rbp)
   0x00000030d483a67d <+269>:	jne    0x30d483a7d9 <__GI_____strtol_l_internal+617>
   0x00000030d483a683 <+275>:	xor    %r9d,%r9d
   0x00000030d483a686 <+278>:	jmp    0x30d483a6a0 <__GI_____strtol_l_internal+304>
   0x00000030d483a688 <+280>:	nopl   0x0(%rax,%rax,1)
   0x00000030d483a690 <+288>:	movzbl (%rcx,%r9,1),%r14d
   0x00000030d483a695 <+293>:	cmp    %r14b,0x0(%rbp,%r9,1)
   0x00000030d483a69a <+298>:	jne    0x30d483a7d0 <__GI_____strtol_l_internal+608>
   0x00000030d483a6a0 <+304>:	add    $0x1,%r9
   0x00000030d483a6a4 <+308>:	cmp    %rbx,%r9
   0x00000030d483a6a7 <+311>:	jne    0x30d483a690 <__GI_____strtol_l_internal+288>
   0x00000030d483a6a9 <+313>:	add    0x18(%rsp),%rcx
   0x00000030d483a6ae <+318>:	xchg   %ax,%ax
   0x00000030d483a6b0 <+320>:	movzbl 0x1(%rcx),%esi
   0x00000030d483a6b4 <+324>:	lea    0x1(%rcx),%r9
   0x00000030d483a6b8 <+328>:	test   %sil,%sil
   0x00000030d483a6bb <+331>:	je     0x30d483a708 <__GI_____strtol_l_internal+408>
   0x00000030d483a6bd <+333>:	cmp    %r9,%rax
   0x00000030d483a6c0 <+336>:	je     0x30d483a833 <__GI_____strtol_l_internal+707>
   0x00000030d483a6c6 <+342>:	mov    %r9,%rcx
   0x00000030d483a6c9 <+345>:	lea    -0x30(%rsi),%r9d
   0x00000030d483a6cd <+349>:	mov    %esi,%r14d
   0x00000030d483a6d0 <+352>:	cmp    $0x9,%r9b
   0x00000030d483a6d4 <+356>:	ja     0x30d483a670 <__GI_____strtol_l_internal+256>
   0x00000030d483a6d6 <+358>:	movzbl %r9b,%esi
   0x00000030d483a6da <+362>:	cmp    %edx,%esi
   0x00000030d483a6dc <+364>:	jge    0x30d483a70b <__GI_____strtol_l_internal+411>
   0x00000030d483a6de <+366>:	cmp    %r10,%rdi
   0x00000030d483a6e1 <+369>:	jb     0x30d483a7c0 <__GI_____strtol_l_internal+592>
   0x00000030d483a6e7 <+375>:	cmp    %rdi,%r10
   0x00000030d483a6ea <+378>:	je     0x30d483a7b0 <__GI_____strtol_l_internal+576>
   0x00000030d483a6f0 <+384>:	imul   %r15,%r10
   0x00000030d483a6f4 <+388>:	movzbl 0x1(%rcx),%esi
   0x00000030d483a6f8 <+392>:	movzbl %r9b,%r9d
   0x00000030d483a6fc <+396>:	add    %r9,%r10
   0x00000030d483a6ff <+399>:	test   %sil,%sil
   0x00000030d483a702 <+402>:	lea    0x1(%rcx),%r9
   0x00000030d483a706 <+406>:	jne    0x30d483a6bd <__GI_____strtol_l_internal+333>
   0x00000030d483a708 <+408>:	mov    %r9,%rcx
   0x00000030d483a70b <+411>:	cmp    %r12,%rcx
   0x00000030d483a70e <+414>:	je     0x30d483a888 <__GI_____strtol_l_internal+792>
   0x00000030d483a714 <+420>:	mov    (%rsp),%rax
   0x00000030d483a718 <+424>:	test   %rax,%rax
   0x00000030d483a71b <+427>:	je     0x30d483a720 <__GI_____strtol_l_internal+432>
   0x00000030d483a71d <+429>:	mov    %rcx,(%rax)
   0x00000030d483a720 <+432>:	test   %r11d,%r11d
   0x00000030d483a723 <+435>:	jne    0x30d483a800 <__GI_____strtol_l_internal+656>
   0x00000030d483a729 <+441>:	mov    0x14(%rsp),%ecx
   0x00000030d483a72d <+445>:	test   %ecx,%ecx
   0x00000030d483a72f <+447>:	je     0x30d483a8f3 <__GI_____strtol_l_internal+899>
   0x00000030d483a735 <+453>:	mov    %r10,%rax
   0x00000030d483a738 <+456>:	movabs $0x8000000000000000,%rdx
   0x00000030d483a742 <+466>:	neg    %rax
   0x00000030d483a745 <+469>:	cmp    %rdx,%r10
   0x00000030d483a748 <+472>:	jbe    0x30d483a770 <__GI_____strtol_l_internal+512>
   0x00000030d483a74a <+474>:	mov    0x37f70f(%rip),%rax        # 0x30d4bb9e60
   0x00000030d483a751 <+481>:	movl   $0x22,%fs:(%rax)
   0x00000030d483a758 <+488>:	jmpq   0x30d483a824 <__GI_____strtol_l_internal+692>
   0x00000030d483a75d <+493>:	nopl   (%rax)
   0x00000030d483a760 <+496>:	mov    0x37f6f9(%rip),%rax        # 0x30d4bb9e60
   0x00000030d483a767 <+503>:	movl   $0x16,%fs:(%rax)
   0x00000030d483a76e <+510>:	xor    %eax,%eax
   0x00000030d483a770 <+512>:	add    $0x28,%rsp
   0x00000030d483a774 <+516>:	pop    %rbx
   0x00000030d483a775 <+517>:	pop    %rbp
   0x00000030d483a776 <+518>:	pop    %r12
   0x00000030d483a778 <+520>:	pop    %r13
   0x00000030d483a77a <+522>:	pop    %r14
   0x00000030d483a77c <+524>:	pop    %r15
   0x00000030d483a77e <+526>:	retq   
   0x00000030d483a77f <+527>:	test   %rcx,%rcx
   0x00000030d483a782 <+530>:	jne    0x30d483a92a <__GI_____strtol_l_internal+954>
   0x00000030d483a788 <+536>:	mov    $0x8,%ecx
   0x00000030d483a78d <+541>:	mov    $0xa,%edx
   0x00000030d483a792 <+546>:	jmpq   0x30d483a619 <__GI_____strtol_l_internal+169>
   0x00000030d483a797 <+551>:	movzbl 0x1(%r12),%r14d
   0x00000030d483a79d <+557>:	add    $0x1,%r12
   0x00000030d483a7a1 <+561>:	jmpq   0x30d483a5fa <__GI_____strtol_l_internal+138>
   0x00000030d483a7a6 <+566>:	nopw   %cs:0x0(%rax,%rax,1)
   0x00000030d483a7b0 <+576>:	cmp    0x8(%rsp),%r9b
   0x00000030d483a7b5 <+581>:	jbe    0x30d483a6f0 <__GI_____strtol_l_internal+384>
   0x00000030d483a7bb <+587>:	nopl   0x0(%rax,%rax,1)
   0x00000030d483a7c0 <+592>:	mov    $0x1,%r11d
   0x00000030d483a7c6 <+598>:	jmpq   0x30d483a6b0 <__GI_____strtol_l_internal+320>
   0x00000030d483a7cb <+603>:	nopl   0x0(%rax,%rax,1)
   0x00000030d483a7d0 <+608>:	cmp    %r9,%rbx
   0x00000030d483a7d3 <+611>:	je     0x30d483a6a9 <__GI_____strtol_l_internal+313>
   0x00000030d483a7d9 <+617>:	mov    0x68(%r8),%r9
   0x00000030d483a7dd <+621>:	testb  $0x4,0x1(%r9,%rsi,2)
   0x00000030d483a7e3 <+627>:	je     0x30d483a70b <__GI_____strtol_l_internal+411>
   0x00000030d483a7e9 <+633>:	mov    0x78(%r8),%r9
   0x00000030d483a7ed <+637>:	mov    (%r9,%rsi,4),%r9d
   0x00000030d483a7f1 <+641>:	sub    $0x37,%r9d
   0x00000030d483a7f5 <+645>:	jmpq   0x30d483a6d6 <__GI_____strtol_l_internal+358>
   0x00000030d483a7fa <+650>:	nopw   0x0(%rax,%rax,1)
   0x00000030d483a800 <+656>:	mov    0x14(%rsp),%edx
   0x00000030d483a804 <+660>:	mov    0x37f655(%rip),%rax        # 0x30d4bb9e60
   0x00000030d483a80b <+667>:	test   %edx,%edx
   0x00000030d483a80d <+669>:	movl   $0x22,%fs:(%rax)
   0x00000030d483a814 <+676>:	movabs $0x7fffffffffffffff,%rax
   0x00000030d483a81e <+686>:	je     0x30d483a770 <__GI_____strtol_l_internal+512>
   0x00000030d483a824 <+692>:	movabs $0x8000000000000000,%rax
   0x00000030d483a82e <+702>:	jmpq   0x30d483a770 <__GI_____strtol_l_internal+512>
   0x00000030d483a833 <+707>:	mov    %rax,%rcx
   0x00000030d483a836 <+710>:	jmpq   0x30d483a714 <__GI_____strtol_l_internal+420>
   0x00000030d483a83b <+715>:	test   $0xffffffef,%edx
   0x00000030d483a841 <+721>:	jne    0x30d483a60c <__GI_____strtol_l_internal+156>
   0x00000030d483a847 <+727>:	movsbq 0x1(%r12),%rsi
   0x00000030d483a84d <+733>:	mov    0x78(%r8),%rax
   0x00000030d483a851 <+737>:	cmpl   $0x58,(%rax,%rsi,4)
   0x00000030d483a855 <+741>:	je     0x30d483a8b9 <__GI_____strtol_l_internal+841>
   0x00000030d483a857 <+743>:	test   %edx,%edx
   0x00000030d483a859 <+745>:	jne    0x30d483a60c <__GI_____strtol_l_internal+156>
   0x00000030d483a85f <+751>:	mov    $0x6,%ecx
   0x00000030d483a864 <+756>:	mov    $0x8,%edx
   0x00000030d483a869 <+761>:	jmpq   0x30d483a619 <__GI_____strtol_l_internal+169>
   0x00000030d483a86e <+766>:	movzbl 0x1(%r12),%r14d
   0x00000030d483a874 <+772>:	movl   $0x1,0x14(%rsp)
   0x00000030d483a87c <+780>:	add    $0x1,%r12
   0x00000030d483a880 <+784>:	jmpq   0x30d483a5fa <__GI_____strtol_l_internal+138>
   0x00000030d483a885 <+789>:	mov    %r13,%r12
   0x00000030d483a888 <+792>:	cmpq   $0x0,(%rsp)
   0x00000030d483a88d <+797>:	je     0x30d483a8ec <__GI_____strtol_l_internal+892>
   0x00000030d483a88f <+799>:	mov    %r12,%rax
   0x00000030d483a892 <+802>:	sub    %r13,%rax
   0x00000030d483a895 <+805>:	cmp    $0x1,%rax
   0x00000030d483a899 <+809>:	jle    0x30d483a8ab <__GI_____strtol_l_internal+827>
   0x00000030d483a89b <+811>:	movsbq -0x1(%r12),%rdx
   0x00000030d483a8a1 <+817>:	mov    0x78(%r8),%rax
   0x00000030d483a8a5 <+821>:	cmpl   $0x58,(%rax,%rdx,4)
   0x00000030d483a8a9 <+825>:	je     0x30d483a8d2 <__GI_____strtol_l_internal+866>
   0x00000030d483a8ab <+827>:	mov    (%rsp),%rax
   0x00000030d483a8af <+831>:	mov    %r13,(%rax)
   0x00000030d483a8b2 <+834>:	xor    %eax,%eax
   0x00000030d483a8b4 <+836>:	jmpq   0x30d483a770 <__GI_____strtol_l_internal+512>
   0x00000030d483a8b9 <+841>:	movzbl 0x2(%r12),%r14d
   0x00000030d483a8bf <+847>:	mov    $0xe,%ecx
   0x00000030d483a8c4 <+852>:	add    $0x2,%r12
   0x00000030d483a8c8 <+856>:	mov    $0x10,%edx
   0x00000030d483a8cd <+861>:	jmpq   0x30d483a619 <__GI_____strtol_l_internal+169>
   0x00000030d483a8d2 <+866>:	cmpb   $0x30,-0x2(%r12)
   0x00000030d483a8d8 <+872>:	jne    0x30d483a8ab <__GI_____strtol_l_internal+827>
   0x00000030d483a8da <+874>:	mov    (%rsp),%rax
   0x00000030d483a8de <+878>:	sub    $0x1,%r12
   0x00000030d483a8e2 <+882>:	mov    %r12,(%rax)
   0x00000030d483a8e5 <+885>:	xor    %eax,%eax
   0x00000030d483a8e7 <+887>:	jmpq   0x30d483a770 <__GI_____strtol_l_internal+512>
   0x00000030d483a8ec <+892>:	xor    %eax,%eax
   0x00000030d483a8ee <+894>:	jmpq   0x30d483a770 <__GI_____strtol_l_internal+512>
   0x00000030d483a8f3 <+899>:	movabs $0x7fffffffffffffff,%rax
   0x00000030d483a8fd <+909>:	cmp    %rax,%r10
   0x00000030d483a900 <+912>:	jbe    0x30d483a918 <__GI_____strtol_l_internal+936>
   0x00000030d483a902 <+914>:	mov    0x37f557(%rip),%rdx        # 0x30d4bb9e60
   0x00000030d483a909 <+921>:	movl   $0x22,%fs:(%rdx)
   0x00000030d483a910 <+928>:	jmpq   0x30d483a770 <__GI_____strtol_l_internal+512>
   0x00000030d483a915 <+933>:	nopl   (%rax)
   0x00000030d483a918 <+936>:	add    $0x28,%rsp
   0x00000030d483a91c <+940>:	mov    %r10,%rax
   0x00000030d483a91f <+943>:	pop    %rbx
   0x00000030d483a920 <+944>:	pop    %rbp
   0x00000030d483a921 <+945>:	pop    %r12
   0x00000030d483a923 <+947>:	pop    %r13
   0x00000030d483a925 <+949>:	pop    %r14
   0x00000030d483a927 <+951>:	pop    %r15
   0x00000030d483a929 <+953>:	retq   
   0x00000030d483a92a <+954>:	mov    %rbp,%rdi
   0x00000030d483a92d <+957>:	mov    %r8,0x18(%rsp)
   0x00000030d483a932 <+962>:	mov    %rcx,0x8(%rsp)
   0x00000030d483a937 <+967>:	callq  0x30d4886620 <__strlen_sse2>
   0x00000030d483a93c <+972>:	test   %rax,%rax
   0x00000030d483a93f <+975>:	mov    %rax,%rbx
   0x00000030d483a942 <+978>:	mov    0x18(%rsp),%r8
   0x00000030d483a947 <+983>:	je     0x30d483a888 <__GI_____strtol_l_internal+792>
   0x00000030d483a94d <+989>:	movzbl 0x0(%rbp),%edi
   0x00000030d483a951 <+993>:	mov    0x8(%rsp),%rcx
   0x00000030d483a956 <+998>:	cmp    %r14b,%dil
   0x00000030d483a959 <+1001>:	jne    0x30d483a9a1 <__GI_____strtol_l_internal+1073>
   0x00000030d483a95b <+1003>:	xor    %edx,%edx
   0x00000030d483a95d <+1005>:	jmp    0x30d483a96c <__GI_____strtol_l_internal+1020>
   0x00000030d483a95f <+1007>:	nop
   0x00000030d483a960 <+1008>:	movzbl (%r12,%rdx,1),%esi
   0x00000030d483a965 <+1013>:	cmp    %sil,0x0(%rbp,%rdx,1)
   0x00000030d483a96a <+1018>:	jne    0x30d483a9a1 <__GI_____strtol_l_internal+1073>
   0x00000030d483a96c <+1020>:	add    $0x1,%rdx
   0x00000030d483a970 <+1024>:	cmp    %rax,%rdx
   0x00000030d483a973 <+1027>:	jne    0x30d483a960 <__GI_____strtol_l_internal+1008>
   0x00000030d483a975 <+1029>:	jmpq   0x30d483a888 <__GI_____strtol_l_internal+792>
   0x00000030d483a97a <+1034>:	mov    0x50(%rax),%rcx
   0x00000030d483a97e <+1038>:	movzbl (%rcx),%edi
   0x00000030d483a981 <+1041>:	lea    -0x1(%rdi),%esi
   0x00000030d483a984 <+1044>:	cmp    $0x7d,%sil
   0x00000030d483a988 <+1048>:	ja     0x30d483a591 <__GI_____strtol_l_internal+33>
   0x00000030d483a98e <+1054>:	mov    0x48(%rax),%rbp
   0x00000030d483a992 <+1058>:	cmpb   $0x0,0x0(%rbp)
   0x00000030d483a996 <+1062>:	je     0x30d483a591 <__GI_____strtol_l_internal+33>
   0x00000030d483a99c <+1068>:	jmpq   0x30d483a595 <__GI_____strtol_l_internal+37>
   0x00000030d483a9a1 <+1073>:	test   %r14b,%r14b
   0x00000030d483a9a4 <+1076>:	mov    %r12,%rsi
   0x00000030d483a9a7 <+1079>:	je     0x30d483a9dd <__GI_____strtol_l_internal+1133>
   0x00000030d483a9a9 <+1081>:	lea    -0x30(%r14),%edx
   0x00000030d483a9ad <+1085>:	cmp    $0x9,%dl
   0x00000030d483a9b0 <+1088>:	jbe    0x30d483a9d0 <__GI_____strtol_l_internal+1120>
   0x00000030d483a9b2 <+1090>:	cmp    %dil,(%rsi)
   0x00000030d483a9b5 <+1093>:	jne    0x30d483aa06 <__GI_____strtol_l_internal+1174>
   0x00000030d483a9b7 <+1095>:	xor    %edx,%edx
   0x00000030d483a9b9 <+1097>:	jmp    0x30d483a9c7 <__GI_____strtol_l_internal+1111>
   0x00000030d483a9bb <+1099>:	movzbl (%rsi,%rdx,1),%r11d
   0x00000030d483a9c0 <+1104>:	cmp    %r11b,0x0(%rbp,%rdx,1)
   0x00000030d483a9c5 <+1109>:	jne    0x30d483aa06 <__GI_____strtol_l_internal+1174>
   0x00000030d483a9c7 <+1111>:	add    $0x1,%rdx
   0x00000030d483a9cb <+1115>:	cmp    %rax,%rdx
   0x00000030d483a9ce <+1118>:	jne    0x30d483a9bb <__GI_____strtol_l_internal+1099>
   0x00000030d483a9d0 <+1120>:	add    $0x1,%rsi
   0x00000030d483a9d4 <+1124>:	movzbl (%rsi),%r14d
   0x00000030d483a9d8 <+1128>:	test   %r14b,%r14b
   0x00000030d483a9db <+1131>:	jne    0x30d483a9a9 <__GI_____strtol_l_internal+1081>
   0x00000030d483a9dd <+1133>:	mov    %rbp,%rdx
   0x00000030d483a9e0 <+1136>:	mov    %r12,%rdi
   0x00000030d483a9e3 <+1139>:	mov    %r8,0x8(%rsp)
   0x00000030d483a9e8 <+1144>:	callq  0x30d48471e0 <__correctly_grouped_prefixmb>
   0x00000030d483a9ed <+1149>:	movzbl (%r12),%r14d
   0x00000030d483a9f2 <+1154>:	mov    $0x8,%ecx
   0x00000030d483a9f7 <+1159>:	mov    $0xa,%edx
   0x00000030d483a9fc <+1164>:	mov    0x8(%rsp),%r8
   0x00000030d483aa01 <+1169>:	jmpq   0x30d483a61d <__GI_____strtol_l_internal+173>
   0x00000030d483aa06 <+1174>:	testb  $0x4,0x1(%r15,%r14,2)
   0x00000030d483aa0c <+1180>:	je     0x30d483a9dd <__GI_____strtol_l_internal+1133>
   0x00000030d483aa0e <+1182>:	mov    0x78(%r8),%rdx
   0x00000030d483aa12 <+1186>:	cmpl   $0x40,(%rdx,%r14,4)
   0x00000030d483aa17 <+1191>:	jle    0x30d483a9d0 <__GI_____strtol_l_internal+1120>
   0x00000030d483aa19 <+1193>:	jmp    0x30d483a9dd <__GI_____strtol_l_internal+1133>
End of assembler dump.
Comment 1 Benny 2013-09-16 09:49:34 EDT
Same problem here (on Intel Xeon CPU E5-2690 0 @ 2.90GHz).

# cpupower -c all set --perf-bias 0
Segmentation fault (core dumped)
Comment 2 Josh Boyer 2013-09-18 16:44:28 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 3 Benny 2013-09-19 03:21:52 EDT
Still present in 3.11.1-200.fc19.

# cpupower -c all set --perf-bias 0
Segmentation fault (core dumped)
Comment 4 Benny 2013-10-11 08:10:12 EDT
Still present in 3.11.3-201.fc19
Comment 5 Josh Boyer 2013-10-11 08:42:50 EDT
This is because cpupower-set has an incorrect value in the has_arg member of it's set_opts structure.  It winds up passing a NULL optarg to atoi, and glibc doesn't like that.

I'll get it fixed up.
Comment 6 Josh Boyer 2013-10-11 08:56:43 EDT
Fixed in Fedora git.
Comment 7 Fedora Update System 2013-10-13 14:55:12 EDT
kernel-3.11.4-302.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.11.4-302.fc20
Comment 8 Fedora Update System 2013-10-13 17:02:56 EDT
Package kernel-3.11.4-302.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.11.4-302.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18993/kernel-3.11.4-302.fc20
then log in and leave karma (feedback).
Comment 9 Benny 2013-10-14 02:34:51 EDT
Thanks for the fix :) Will there be a fix for Fedora 19? I cannot test/use this otherwise.
Comment 10 Josh Boyer 2013-10-14 08:32:17 EDT
(In reply to Benny from comment #9)
> Thanks for the fix :) Will there be a fix for Fedora 19? I cannot test/use
> this otherwise.

Yes.
Comment 11 Fedora Update System 2013-10-14 15:18:11 EDT
kernel-3.11.5-300.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.11.5-300.fc20
Comment 12 Fedora Update System 2013-10-14 15:18:48 EDT
kernel-3.11.5-200.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kernel-3.11.5-200.fc19
Comment 13 Fedora Update System 2013-10-14 15:20:17 EDT
kernel-3.11.5-100.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.11.5-100.fc18
Comment 14 Fedora Update System 2013-10-15 11:40:56 EDT
kernel-3.11.5-301.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.11.5-301.fc20
Comment 15 Fedora Update System 2013-10-20 15:14:53 EDT
kernel-3.11.6-200.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kernel-3.11.6-200.fc19
Comment 16 Fedora Update System 2013-10-20 15:16:07 EDT
kernel-3.11.6-100.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.11.6-100.fc18
Comment 17 Fedora Update System 2013-10-22 23:36:49 EDT
kernel-3.11.6-200.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-11-02 15:25:33 EDT
kernel-3.11.6-101.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.11.6-101.fc18
Comment 19 Fedora Update System 2013-11-03 00:36:47 EDT
Package kernel-3.11.6-101.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.11.6-101.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20545/kernel-3.11.6-101.fc18
then log in and leave karma (feedback).
Comment 20 Fedora Update System 2013-11-04 15:21:23 EST
kernel-3.11.7-100.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.11.7-100.fc18
Comment 21 Fedora Update System 2013-11-10 03:05:22 EST
kernel-3.11.5-302.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2013-11-12 21:16:05 EST
kernel-3.11.7-100.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.